Skip to main content

Create a DNS Zone (deprecated)

POST/v2/dns-zones
API version
v2
Request method
POST
Operation ID
dns-create-dns-zone

Request​

Responses​

Format
application/json
Description

The ID of the created DNSZone.

  • idstring (uuid)required
Content-Type: application/json

{
"id": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"id": {
"format": "uuid",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"name":"string","parentZoneId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/dns-zones
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.dnsCreateDnsZone({
"data": {
"name": "string",
"parentZoneId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsCreateDnsZone\DnsCreateDnsZoneRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DnsCreateDnsZone\DnsCreateDnsZoneRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DnsCreateDnsZoneRequestBody to learn how to construct a valid instance
$body = new DnsCreateDnsZoneRequestBody(/* TODO: ... */);

$request = (new DnsCreateDnsZoneRequest(
body: $body
));
$response = $client->domain()->dnsCreateDnsZone($request);

var_dump($response->getBody();

On this page